// <auto-generated />
// This file was generated by a T4 template.
// Don't change it directly as your change would get overwritten.  Instead, make changes
// to the .tt file (i.e. the T4 template) and save it to regenerate this file.

// Make sure the compiler doesn't complain about missing Xml comments and CLS compliance
// 0108: suppress "Foo hides inherited member Foo. Use the new keyword if hiding was intended." when a controller and its abstract parent are both processed
// 0114: suppress "Foo.BarController.Baz()' hides inherited member 'Qux.BarController.Baz()'. To make the current member override that implementation, add the override keyword. Otherwise add the new keyword." when an action (with an argument) overrides an action in a parent controller
#pragma warning disable 1591, 3008, 3009, 0108, 0114
#region T4MVC

using System;
using System.Diagnostics;
using System.CodeDom.Compiler;
using System.Collections.Generic;
using System.Linq;
using System.Runtime.CompilerServices;
using System.Threading.Tasks;
using System.Web;
using System.Web.Hosting;
using System.Web.Mvc;
using System.Web.Mvc.Ajax;
using System.Web.Mvc.Html;
using System.Web.Routing;
using T4MVC;
namespace LoyaltyPointEngine.CMS.Controllers
{
    public partial class ReceiptReportingController
    {
        [GeneratedCode("T4MVC", "2.0"), DebuggerNonUserCode]
        public ReceiptReportingController() { }

        [GeneratedCode("T4MVC", "2.0"), DebuggerNonUserCode]
        protected ReceiptReportingController(Dummy d) { }

        [GeneratedCode("T4MVC", "2.0"), DebuggerNonUserCode]
        protected RedirectToRouteResult RedirectToAction(ActionResult result)
        {
            var callInfo = result.GetT4MVCResult();
            return RedirectToRoute(callInfo.RouteValueDictionary);
        }

        [GeneratedCode("T4MVC", "2.0"), DebuggerNonUserCode]
        protected RedirectToRouteResult RedirectToAction(Task<ActionResult> taskResult)
        {
            return RedirectToAction(taskResult.Result);
        }

        [GeneratedCode("T4MVC", "2.0"), DebuggerNonUserCode]
        protected RedirectToRouteResult RedirectToActionPermanent(ActionResult result)
        {
            var callInfo = result.GetT4MVCResult();
            return RedirectToRoutePermanent(callInfo.RouteValueDictionary);
        }

        [GeneratedCode("T4MVC", "2.0"), DebuggerNonUserCode]
        protected RedirectToRouteResult RedirectToActionPermanent(Task<ActionResult> taskResult)
        {
            return RedirectToActionPermanent(taskResult.Result);
        }

        [NonAction]
        [GeneratedCode("T4MVC", "2.0"), DebuggerNonUserCode]
        public virtual System.Web.Mvc.ActionResult Index()
        {
            return new T4MVC_System_Web_Mvc_ActionResult(Area, Name, ActionNames.Index);
        }
        [NonAction]
        [GeneratedCode("T4MVC", "2.0"), DebuggerNonUserCode]
        public virtual System.Web.Mvc.ActionResult GridGetAll()
        {
            return new T4MVC_System_Web_Mvc_ActionResult(Area, Name, ActionNames.GridGetAll);
        }
        [NonAction]
        [GeneratedCode("T4MVC", "2.0"), DebuggerNonUserCode]
        public virtual System.Web.Mvc.ActionResult GridGetAllPager()
        {
            return new T4MVC_System_Web_Mvc_ActionResult(Area, Name, ActionNames.GridGetAllPager);
        }

        [GeneratedCode("T4MVC", "2.0"), DebuggerNonUserCode]
        public ReceiptReportingController Actions { get { return MVC.ReceiptReporting; } }
        [GeneratedCode("T4MVC", "2.0")]
        public readonly string Area = "";
        [GeneratedCode("T4MVC", "2.0")]
        public readonly string Name = "ReceiptReporting";
        [GeneratedCode("T4MVC", "2.0")]
        public const string NameConst = "ReceiptReporting";
        [GeneratedCode("T4MVC", "2.0")]
        static readonly ActionNamesClass s_actions = new ActionNamesClass();
        [GeneratedCode("T4MVC", "2.0"), DebuggerNonUserCode]
        public ActionNamesClass ActionNames { get { return s_actions; } }
        [GeneratedCode("T4MVC", "2.0"), DebuggerNonUserCode]
        public class ActionNamesClass
        {
            public readonly string Index = "Index";
            public readonly string GridGetAll = "GridGetAll";
            public readonly string GridGetAllPager = "GridGetAllPager";
            public readonly string DownloadExcelTemplate = "DownloadExcelTemplate";
        }

        [GeneratedCode("T4MVC", "2.0"), DebuggerNonUserCode]
        public class ActionNameConstants
        {
            public const string Index = "Index";
            public const string GridGetAll = "GridGetAll";
            public const string GridGetAllPager = "GridGetAllPager";
            public const string DownloadExcelTemplate = "DownloadExcelTemplate";
        }


        static readonly ActionParamsClass_Index s_params_Index = new ActionParamsClass_Index();
        [GeneratedCode("T4MVC", "2.0"), DebuggerNonUserCode]
        public ActionParamsClass_Index IndexParams { get { return s_params_Index; } }
        [GeneratedCode("T4MVC", "2.0"), DebuggerNonUserCode]
        public class ActionParamsClass_Index
        {
            public readonly string status = "status";
            public readonly string tglAwal = "tglAwal";
            public readonly string tglAkhir = "tglAkhir";
            public readonly string channel = "channel";
            public readonly string spgCode = "spgCode";
        }
        static readonly ActionParamsClass_GridGetAll s_params_GridGetAll = new ActionParamsClass_GridGetAll();
        [GeneratedCode("T4MVC", "2.0"), DebuggerNonUserCode]
        public ActionParamsClass_GridGetAll GridGetAllParams { get { return s_params_GridGetAll; } }
        [GeneratedCode("T4MVC", "2.0"), DebuggerNonUserCode]
        public class ActionParamsClass_GridGetAll
        {
            public readonly string from = "from";
            public readonly string to = "to";
            public readonly string channel = "channel";
            public readonly string spgCode = "spgCode";
        }
        static readonly ActionParamsClass_GridGetAllPager s_params_GridGetAllPager = new ActionParamsClass_GridGetAllPager();
        [GeneratedCode("T4MVC", "2.0"), DebuggerNonUserCode]
        public ActionParamsClass_GridGetAllPager GridGetAllPagerParams { get { return s_params_GridGetAllPager; } }
        [GeneratedCode("T4MVC", "2.0"), DebuggerNonUserCode]
        public class ActionParamsClass_GridGetAllPager
        {
            public readonly string hiddenAwal = "hiddenAwal";
            public readonly string hiddenAkhir = "hiddenAkhir";
            public readonly string hiddenChannel = "hiddenChannel";
            public readonly string hiddenspgCode = "hiddenspgCode";
            public readonly string page = "page";
        }
        static readonly ViewsClass s_views = new ViewsClass();
        [GeneratedCode("T4MVC", "2.0"), DebuggerNonUserCode]
        public ViewsClass Views { get { return s_views; } }
        [GeneratedCode("T4MVC", "2.0"), DebuggerNonUserCode]
        public class ViewsClass
        {
            static readonly _ViewNamesClass s_ViewNames = new _ViewNamesClass();
            public _ViewNamesClass ViewNames { get { return s_ViewNames; } }
            public class _ViewNamesClass
            {
                public readonly string GridGetAll = "GridGetAll";
                public readonly string Index = "Index";
            }
            public readonly string GridGetAll = "~/Views/ReceiptReporting/GridGetAll.cshtml";
            public readonly string Index = "~/Views/ReceiptReporting/Index.cshtml";
        }
    }

    [GeneratedCode("T4MVC", "2.0"), DebuggerNonUserCode]
    public partial class T4MVC_ReceiptReportingController : LoyaltyPointEngine.CMS.Controllers.ReceiptReportingController
    {
        public T4MVC_ReceiptReportingController() : base(Dummy.Instance) { }

        [NonAction]
        partial void IndexOverride(T4MVC_System_Web_Mvc_ActionResult callInfo, string status);

        [NonAction]
        public override System.Web.Mvc.ActionResult Index(string status)
        {
            var callInfo = new T4MVC_System_Web_Mvc_ActionResult(Area, Name, ActionNames.Index);
            ModelUnbinderHelpers.AddRouteValues(callInfo.RouteValueDictionary, "status", status);
            IndexOverride(callInfo, status);
            return callInfo;
        }

        [NonAction]
        partial void IndexOverride(T4MVC_System_Web_Mvc_ActionResult callInfo, string tglAwal, string tglAkhir, LoyaltyPointEngine.Model.Object.Common.Channel? channel, string spgCode);

        [NonAction]
        public override System.Web.Mvc.ActionResult Index(string tglAwal, string tglAkhir, LoyaltyPointEngine.Model.Object.Common.Channel? channel, string spgCode)
        {
            var callInfo = new T4MVC_System_Web_Mvc_ActionResult(Area, Name, ActionNames.Index);
            ModelUnbinderHelpers.AddRouteValues(callInfo.RouteValueDictionary, "tglAwal", tglAwal);
            ModelUnbinderHelpers.AddRouteValues(callInfo.RouteValueDictionary, "tglAkhir", tglAkhir);
            ModelUnbinderHelpers.AddRouteValues(callInfo.RouteValueDictionary, "channel", channel);
            ModelUnbinderHelpers.AddRouteValues(callInfo.RouteValueDictionary, "spgCode", spgCode);
            IndexOverride(callInfo, tglAwal, tglAkhir, channel, spgCode);
            return callInfo;
        }

        [NonAction]
        partial void GridGetAllOverride(T4MVC_System_Web_Mvc_ActionResult callInfo, System.DateTime? from, System.DateTime? to, LoyaltyPointEngine.Model.Object.Common.Channel? channel, string spgCode);

        [NonAction]
        public override System.Web.Mvc.ActionResult GridGetAll(System.DateTime? from, System.DateTime? to, LoyaltyPointEngine.Model.Object.Common.Channel? channel, string spgCode)
        {
            var callInfo = new T4MVC_System_Web_Mvc_ActionResult(Area, Name, ActionNames.GridGetAll);
            ModelUnbinderHelpers.AddRouteValues(callInfo.RouteValueDictionary, "from", from);
            ModelUnbinderHelpers.AddRouteValues(callInfo.RouteValueDictionary, "to", to);
            ModelUnbinderHelpers.AddRouteValues(callInfo.RouteValueDictionary, "channel", channel);
            ModelUnbinderHelpers.AddRouteValues(callInfo.RouteValueDictionary, "spgCode", spgCode);
            GridGetAllOverride(callInfo, from, to, channel, spgCode);
            return callInfo;
        }

        [NonAction]
        partial void GridGetAllPagerOverride(T4MVC_System_Web_Mvc_ActionResult callInfo, string hiddenAwal, string hiddenAkhir, LoyaltyPointEngine.Model.Object.Common.Channel? hiddenChannel, string hiddenspgCode, int? page);

        [NonAction]
        public override System.Web.Mvc.ActionResult GridGetAllPager(string hiddenAwal, string hiddenAkhir, LoyaltyPointEngine.Model.Object.Common.Channel? hiddenChannel, string hiddenspgCode, int? page)
        {
            var callInfo = new T4MVC_System_Web_Mvc_ActionResult(Area, Name, ActionNames.GridGetAllPager);
            ModelUnbinderHelpers.AddRouteValues(callInfo.RouteValueDictionary, "hiddenAwal", hiddenAwal);
            ModelUnbinderHelpers.AddRouteValues(callInfo.RouteValueDictionary, "hiddenAkhir", hiddenAkhir);
            ModelUnbinderHelpers.AddRouteValues(callInfo.RouteValueDictionary, "hiddenChannel", hiddenChannel);
            ModelUnbinderHelpers.AddRouteValues(callInfo.RouteValueDictionary, "hiddenspgCode", hiddenspgCode);
            ModelUnbinderHelpers.AddRouteValues(callInfo.RouteValueDictionary, "page", page);
            GridGetAllPagerOverride(callInfo, hiddenAwal, hiddenAkhir, hiddenChannel, hiddenspgCode, page);
            return callInfo;
        }

        [NonAction]
        partial void DownloadExcelTemplateOverride(T4MVC_System_Web_Mvc_ActionResult callInfo);

        [NonAction]
        public override System.Web.Mvc.ActionResult DownloadExcelTemplate()
        {
            var callInfo = new T4MVC_System_Web_Mvc_ActionResult(Area, Name, ActionNames.DownloadExcelTemplate);
            DownloadExcelTemplateOverride(callInfo);
            return callInfo;
        }

    }
}

#endregion T4MVC
#pragma warning restore 1591, 3008, 3009, 0108, 0114
